dtkwidget (5.7.15) unstable; urgency=medium

  * fix: correct text elision behavior with shortcuts
  * style: adjust website link style in about dialog
  * chore: reuse warning
  * fix: watermark can't select picture for PrintPreivew
  * build: compiling failed with Qt 6.9
  * chore: bump version to 5.7.14

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:16 +0800

dtkwidget (5.7.14) unstable; urgency=medium

  * fix: wheel event is accepted in qt6
  * fix: 修复SwitchButton在透明窗口上显示时颜色太亮,太突兀的问题
  * fix: DToolTip宽度计算
  * fix: DFloatingMessage宽度计算

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:46 +0800

dtkwidget (5.7.13) unstable; urgency=medium

  * fix: accessing wild pointer for DAboutDialog
  * feat: increase fallback for password character

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:12 +0800

dtkwidget (5.7.12) unstable; urgency=medium

  * fix: failed to save too long filename for DPrintPreviewWidget
  * chore: remove warning in qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * doc: update docs for dwatermarkhelper

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:29:50 +0800

dtkwidget (5.7.11) unstable; urgency=medium

  * fix: window filickering caused by animation for DDrawer
  * fix: app crashed for DBlurEffectWidget in qt6
  * fix: titlebar can't drag after close DAboutDialog
  * fix: PrintPreview can't switch orientation

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:47:56 +0800

dtkwidget (5.7.10) unstable; urgency=medium

  * fix: 修复 桌面/文管文件，打开属性窗口闪烁

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:34 +0800

dtkwidget (5.7.9) unstable; urgency=medium

  * fix: missing QT_QPA_PLATFORM for DApplication

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:09 +0000

dtkwidget (5.7.8) unstable; urgency=medium

  * fix: access wild pointer for targetWindowHandle

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:32 +0000

dtkwidget (5.7.7) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:39 +0000

dtkwidget (5.7.6) unstable; urgency=medium

  * fix: resident floating message cannot be closed(Bug: 297669)
  * fix: 调整滑动条横条和刻度颜色(Bug: 254295)(Influence: 调整滑动条横条和刻度颜色)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:53 +0000

dtkwidget (5.7.5) unstable; urgency=medium

  * fix: webengineView abnormal in DMainWindow

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

dtkwidget (5.7.4) unstable; urgency=medium

  * fix: ddialog's lambda func may cause segfault
  * fix: some windows have dual title bars

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dtkwidget (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dtkwidget (5.7.2) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

dtkwidget (5.7.1) unstable; urgency=medium

  * fix: 如果窗口打开时即为最大化状态,则最大化图标显示错误 (#601)
    Thanks to Whale107(Bug: 262201)(Influence: mainwindow最大化)
  * feat: support treeland notitlebar mode
  * chore: 新增进度条动效和一个新进度条类 (#589)
    Thanks to Whale107
  * chore: 新增搜索框图标移动动画 (#590)
    Thanks to Whale107
  * fix: adjust indeterminateprogressbar color (#597)
    Thanks to Whale107
  * chore: 增加滚动区域滚轮滚动到顶部或底部的回弹效果 (#596)
    Thanks to Whale107
  * chore: 增加ButtonBox hover 和切换动画 (#595)
    Thanks to Whale107
  * chore: 使用dci icon重绘toolbutton, 增加动画 (#594)
    Thanks to Whale107
  * chore: 使用dci icon重绘switchButton, 增加动画 (#593)
    Thanks to Whale107
  * chore: 增加应用内通知动画 (#592)
    Thanks to Whale107
  * fix: adjust switchbutton dci icon (#603)
    Thanks to Whale107
  * Revert "chore: 使用dci icon重绘toolbutton, 增加动画 (#594)"
  * fix: obsolete interfaces
  * fix: display exception of checkbox & radiobutton(Bug: 276189)
  * fix: wrong status of switch button(Bug: 276221)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:46 +0000

dtkwidget (5.6.34) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 09:47:27 +0000

dtkwidget (5.6.33) unstable; urgency=medium

  * fix: DMessageManager::sendMessage cause crash
    Thanks to zty199
  * fix: wrong product icon size in DAboutDialog
    Thanks to zty199
  * fix: DTitleBar动态设置Icon时间距异常
  * fix: 控制中心标题栏返回按钮消失 (#588)
    Thanks to Whale107(Bug: 264379)(Influence: 控制中心-标题栏)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 03:30:08 +0000

dtkwidget (5.6.31) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkwidget (5.6.30) unstable; urgency=medium

  * feat: modify the spacing between the title and the top(Issue: https://github.com/linuxdeepin/developer-center/issues/8418)
  * fix: 解决wayland下，DDialog窗口透明问题的问题 (#578)
    Thanks to Cjq(Bug: 249975)(Influence: wayland下，DDialog窗口模糊)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkwidget (5.6.29) unstable; urgency=medium

  * fix: 修复大多数按钮不响应enter事件(Bug: 253935)(Influence: 按钮响应键盘回车事件)
  * revert: "fix: 自定义页码切换问题"(Issue: https://github.com/linuxdeepin/developer-center/issues/7983)
  * fix: support build on qt 6.7

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:55 +0000

dtkwidget (5.6.28) unstable; urgency=medium

  * fix: window menu icon(Issue: https://github.com/linuxdeepin/developer-center/issues/8297)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:39 +0000

dtkwidget (5.6.27) unstable; urgency=medium

  * chore: disable broken workflow build
  * fix: next action rect position error(Issue: https://github.com/linuxdeepin/developer-center/issues/6379)
  * fix: fix the problem of text position in dstyleditemdelegate(issue: 7673)
  * fix: Split window position error(Issue: https://github.com/linuxdeepin/developer-center/issues/4840)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:35 +0000

dtkwidget (5.6.26) unstable; urgency=medium

  * chore: 调整标题栏“更多/最小化/最大化/关闭按钮”的图标为最新1070图标样式(Task: 331465)(Influence: 窗口标题栏 更多/最小化/最大化/关闭按钮)
  * feat: don't hide alert message automatically.(Issue: https://github.com/linuxdeepin/developer-center/issues/5622)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dtkwidget (5.6.25) unstable; urgency=medium

  * chore: 调整关于对话框界面布局和样式(Task: 303535)(Influence: 关于对话框)
  * fix: 调整关于对话框链接颜色(Task: 303535)(Influence: 关于对话框链接颜色)
  * fix: 修复关于对话框在应用名称很长时内容有被截断的情况(Bug: 240835)(Influence: 关于对话框布局)
  * fix: 修复dslider刻度标签内容过长时，显示不下的问题(Task: 325247)(Influence: DSlider刻度标签显示)
  * fix: dconfig frequent construction and destruction
  * fix: black circle in PasswordEdit(Issue: https://github.com/linuxdeepin/developer-center/issues/7335)
  * chore: Adapt to Qt 6.6.1
  * Revert "fix: black circle in PasswordEdit"
  * fix: black circle in PasswordLineEdit(Issue: https://github.com/linuxdeepin/developer-center/issues/7335)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:27 +0000

dtkwidget (5.6.23) unstable; urgency=medium

  * release 5.6.23

 -- Mike Chen <chenke@deepin.org>  Wed, 31 Jan 2024 09:29:11 +0800

dtkwidget (5.6.22) unstable; urgency=medium

  * fix: double click edit incorrect format(Issue: https://github.com/linuxdeepin/developer-center/issues/6780)
  * chore: remove unused headers in header

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Jan 2024 02:30:59 +0000

dtkwidget (5.6.21) unstable; urgency=medium

  * chore: nullptr check in dstyleditemdelegate
  * chore: logical judgment errors

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 Jan 2024 01:45:43 +0000

dtkwidget (5.6.20) unstable; urgency=medium

  * feat: styleHint tweak
  * chore: add synchronization workflow
  * fix: redefinition of verticalTabs
  * fix: export inexistent classes in config
  * fix: 修复DLicenseDialog内存泄漏(Influence: DLicenseDialog)
  * fix: DArrowRectangle left/right style incorrect(Issue: #92)
  * fix: DApplication初始化过程中会覆盖原有事件掩码，导致丢失事件(Bug: 220369)
  * feat: move ddesktopservices to dtkgui(Issue: #134)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 28 Nov 2023 05:40:53 +0000

dtkwidget (5.6.19) unstable; urgency=medium

  * feat: change DTK_STATIC_TRANSLATION to the default setting.
    Thanks to He Xin

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 07:33:18 +0000

dtkwidget (5.6.18) unstable; urgency=medium

  * fix: ColorMode may be inconsistent with settings.(Bug: 219201)(Influence: PrintPreview)
  * chore: correct typos about action slots
    Thanks to Felix Yan
  * feat: use DIconTheme::findQIcon(Issue: #4112)
  * fix: 修复打印预览，切换打印机的时候预览图颜色显示异常
    Thanks to zhangkun(Bug: 220315)(Influence: 打印预览切换打印机时预览图的颜色表现)
  * doc: update docs for denhancedwidget
    Thanks to syn(Issue: #94)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 06:01:44 +0000

dtkwidget (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:19:50 +0800

dtkwidget (5.6.16) unstable; urgency=medium

  * feat: add ut_dpalettehelper
  * chore: add test for dwatermarkhelper
  * fix: update dependency libfreetype-dev

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:44 +0000

dtkwidget (5.6.15) unstable; urgency=medium

  * chore: remove useless files
  * feat: Add UT for DComboBox
  * doc: update docs for dfontcombobox 更新dfontcombobox的文档
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtooltip
    Thanks to syn(Issue: #94)
  * doc: update docs for dcircleprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcrumbedit
    Thanks to LyYeeeYuwu(Issue: #94)

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 14:03:59 +0800

dtkwidget (5.6.14) unstable; urgency=medium

  * fix: Button background lightness display error(Issue: #82)
  * doc: update docs for dpasswordedit
    Thanks to homehome(Task: 26)
  * doc: update docs for dtabbar
    Thanks to homehome(Issue: #94)
  * refactor!: deprecate some interfaces in dtk6
  * doc: update docs for dcombobox
    Thanks to Skye-rs(Issue: #94, #1773136810)
  * doc: A small change to Dcombobox
    Thanks to Skye-rs
  * doc: update docs for dsuggestbutton
    Thanks to homehome(Issue: #94)
  * doc: update docs for dwaterprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dbaseexpand
    Thanks to syn(Issue: #94)
  * doc: update docs for diconbutton
    Thanks to syn(Issue: #94)
  * doc: update docs for dipv4lineedit
    Thanks to Skye-rs(Issue: #94, #1773136810)
  * doc: update docs for dbuttonbox
    Thanks to LyYeeeYuwu(Issue: #94)
  * fix: remove ut to support DTK6.0
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * doc: update docs for dwarningbutton
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dframe
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtoolbutton
    Thanks to Skye-rs(Issue: #94)
  * fix: the 'ValueChanged' signal was never emitted in dcircleprogress
    Thanks to homehome
  * doc: update docs for dspinbox
    Thanks to syn(Issue: #94)
  * doc: update docs for dsearchedit
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dbaseline
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcoloredprogressbar
    Thanks to homehome(Issue: #94)
  * doc: update docs for dprogressbar
    Thanks to LyYeeeYuwu(Issue: #94)
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * doc: update docs for dmessagemanager
    Thanks to homehome(Issue: #94)
  * Revert "fix: 修改内存泄露问题"
  * fix: fix memory leak in danchors.cpp
  * fix: to fix unused qrc file in UT
  * feat: add some UT
  * doc: update docs for dtextedit
    Thanks to LyYeeeYuwu(Issue: #94)
  * fix: fix the bug of the test-recoverage.sh
  * chore: deprecate dhidpihelper

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:38 +0000

dtkwidget (5.6.13) unstable; urgency=medium

  * chore: change the text of the title on licensedialog
  * chore: Add properties about license in dapplication interface
  * chore: Change the text of the title in dlicensedialog
  * fix: 修改分屏菜单位置错误(Bug: 199083)(Influence: 锁屏界面/任务栏等网络插件窗口显示,窗口分屏提示窗口)
  * fix: abnormal font size(Issue: #17)
  * chore: update translations abouut license
  * fix: DApplication casting error
  * fix: TextEdit color group not update(Bug: 196603)
  * feat(build): support Qt6
  * feat(lib): support Qt6
  * feat(others): support Qt6
  * fix: correct copy assignment operator
  * fix: compile error of unit test
  * fix: Attempted to overwrite a QRandomGenerator to system() or global().
  * fix: unit test error under qt5
  * chore: remove old dependency
  * fix: fix compile error under qt6
  * fix: unit test error under qt6
  * fix: titlebar buttons don't recover

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 26 Jun 2023 10:12:00 +0800

dtkwidget (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * add DLicenseDialog

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:28:59 +0800

dtkwidget (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#51 dtk#62 dtk#36
  * FIX bug-195913 DArrowRectangle postion calc error

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:35:05 +0800

dtkwidget (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * FIX #364 #373 #389 #390 #403 #408
  * FIX Build error for Qt 5.15~6.1
  * FIX DFloatingButton can't display dci icon

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:14:10 +0800

dtkwidget (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:13:53 +0800

dtkwidget (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:21:55 +0800

dtkwidget (5.6.7) unstable; urgency=medium

  * Release 5.6.7

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 17 Feb 2023 13:13:24 +0800

dtkwidget (5.6.6) unstable; urgency=medium

  * Release 5.6.6 update with broken dtkcore
  * Update doc, for danchors
  * fix the broken case if open the popup window second time

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 06 Feb 2023 17:22:10 +0800

dtkwidget (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:15:00 +0800

dtkwidget (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Jan 2023 10:36:48 +0800

dtkwidget (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 15:26:28 +0800

dtkwidget (5.6.2.2) unstable; urgency=medium

  * Release 5.6.2.2

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 30 Nov 2022 10:41:14 +0800

dtkwidget (5.6.1) unstable; urgency=medium

  * snipe release 5.6.1

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Jul 2022 17:18:51 +0800

dtkwidget (5.6.0.1) unstable; urgency=medium

  * develop/snipe 5.6.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 12:03:04 +0800

dtkwidget (5.5.42.1) unstable; urgency=medium

  * Release 5.5.42.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 10:11:06 +0800

dtkwidget (5.0.0) unstable; urgency=medium

  * Release 5.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 03 Sep 2019 10:50:03 +0800

dtkwidget (2.0.7.2) unstable; urgency=medium

  * Release 2.0.7.2

 -- Iceyer <me@iceyer.net>  Wed, 02 May 2018 09:56:59 +0800

dtkwidget (2.0.0-0) unstable; urgency=medium

  * Release 2.0.0.

 -- Iceyer <me@iceyer.net>  Tue, 22 Aug 2017 19:38:45 +0800

dtkwidget (0.3.3-1) unstable; urgency=low

  * Initial release. Merge from deepin-tool-kit.

 -- TagBuilder <tagbuilder@deepin.com>  Wed, 26 Jul 2017 17:10:12 +0800
